Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# openvrml::vrml97_grammar< Actions, ErrorHandler > Struct Template Reference

`#include <openvrml/vrml97_grammar.h>`

List of all members.

## Detailed Description

### template<typename Actions = null_vrml97_parse_actions, typename ErrorHandler = vrml97_parse_error_handler>
struct openvrml::vrml97_grammar< Actions, ErrorHandler >

A Spirit grammar for parsing VRML97.

Examples:

  pretty_print.cpp.

## Public Member Functions

| vrml97_grammar (const Actions &actions=Actions(), const ErrorHandler &handler=ErrorHandler())

## Public Attributes

const boost::spirit::functor_parser < rotation_parser < ErrorHandler > > | rotation_p
const Actions & | actions
const ErrorHandler & | error_handler

## Classes

struct | definition
| VRML97 grammar definition. More...